Subject: NS: font names have become case-sensitive
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Sun, 1 Mar 2009 16:54:01 -0500

It seems that in NS (on OS X), font names have become case-sensitive  
since Emacs 22 (Carbon at least).  Setting a face to use family  
"lucida grande" or "monaco" doesn't work - it results in frames full  
of empty boxes (because the font can't be loaded, I presume).  I also  
found that the face, if you do (customize-face 'default), have  
their :family attributes set to "Monotype_Sorts".  This font doesn't  
seem to exist on my system.

Given that people have faces configured in their custom-file, I don't  
think a sudden case-sensitivity is going to make our users happy,  
whatever good reasons for this design choice there might exist.

(I can try to write a bug report if the above isn't sufficiently  
detailed.)